VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ClsDataLigne"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public idLigne As Integer
Public idDemandeur As Integer
Public DateCreation  As Date
Public Sujet As String
Public Precision As String
Public Remarque As String
Public idPriorite As Integer
Public idDifficulte As Integer
Public Charge As Long
Public idSatus As Integer
Public DateCloture  As Date
Public idMox As Integer
Public idVersion  As Integer

'Liaisons Obligatoire
Public ColDemandeur As Collection
Public ColPriorite As Collection
Public ColDifficulte As Collection
Public ColSatus As Collection
Public ColVerion As Collection

Private rec As Recordset
Private strRequete As String

Public Sub ChargeLigne()
    
    If QShema.Lignes.Count = 0 Then
        Set rec = Base.OpenRecordset("Select * from Ligne", dbOpenForwardOnly, dbReadOnly)
        
        With rec
            Do While Not .EOF
                
                Me.idLigne = .Fields("idligne")
                Me.idDemandeur = .Fields("idDemandeur")
                Me.DateCreation = .Fields("DateCreation")
                Me.Sujet = .Fields("Sujet")
                Me.Precision = .Fields("Precision")
                Me.Remarque = .Fields("Remarque")
                Me.idPriorite = .Fields("idPriorite")
                Me.idDifficulte = .Fields("idDifficulte")
                Me.Charge = .Fields("Charge")
                Me.idSatus = .Fields("idSatus")
                Me.DateCloture = .Fields("DateCloture")
                Me.idVersion = .Fields("idVersion")
                Me.idMox = .Fields("idMox")

                
                
                QShema.Lignes.Add Me, "*" & Me.idLigne
                .MoveNext
            Loop
            .Close
        End With
    End If

End Sub

